Bug 1301673 - DHCP-DDNS server UDP socket resource temporarily unavailable
DHCP-DDNS server UDP socket resource temporarily unavailable
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kea (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 11:23 EST by Derek Lambert
Modified: 2017-12-23 04:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-15 08:59:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Lambert 2016-01-25 11:23:12 EST
Description of problem:
After enabling and starting the kea-dhcp-ddns service the following messages are logged repeatedly to /var/log/kea-ddns.log:

2016-01-25 10:08:22.131 ERROR [kea-dhcp-ddns.libdhcp-ddns/1468] DHCP_DDNS_NCR_UDP_RECV_ERROR UDP socket receive error while listening for DNS Update requests: Resource temporarily unavailable
2016-01-25 10:08:22.131 ERROR [kea-dhcp-ddns.dhcp-to-d2/1468] DHCP_DDNS_QUEUE_MGR_RECV_ERROR application's queue manager was notified of a request receive error by its listener.
2016-01-25 10:08:22.131 INFO  [kea-dhcp-ddns.dhcpddns/1468] DHCP_DDNS_QUEUE_MGR_RECOVERING application is attempting to recover from a queue manager IO error

Setting the log level to fatal in the config squelches the messages, but the process consumes an entire core. No attempt made to verify if it's actually functioning in this state.

Version-Release number of selected component (if applicable):
1.0.0-1.fc23

How reproducible:
Install and run service

Steps to Reproduce:
1. dnf -y install kea
2. systemctl enable kea-dhcp-ddns
3. systemctl start kea-dhcp-ddns

Actual results:
Hundreds of megabytes of errors logged to /var/log/kea-ddns.log in a few minutes.

Expected results:
Successful service start.
Comment 1 Derek Lambert 2016-02-15 08:59:46 EST
The Kea team has determined this is an issue with gcc incorrectly optimizing out some critical logic in the boost::asio function.

http://kea.isc.org/ticket/4243
Comment 2 Stefan van der Eijk 2017-12-23 04:14:57 EST
Behavior still present in kea-1.2.0-5.fc27.x86_64 package.

Note You need to log in before you can comment on or make changes to this bug.